package no.ntnu.newsrec.mapreduce;

import java.util.HashMap;

/**
 * @author johneirik
 * 
 * Class with constants used in the MapReduce jobs
 *
 */
public class Constants {

	// Constant used to alter the time threshold for timed user acts
	public static final double TIMECONSTANT =10.0;

	// Degrading constant used in previous vector approaches
	public static final double DEGRADINGCONSTANT = 0.5;
	
	// Event type names and their weights
	public static final String[] USERACT = {"OPENED_ARTICLE_VIEW", "TIME_SPENT_PREVIEW",
		"TIME_SPENT_ARTICLE_VIEW", "CLICKED_CATEGORY", "SHARED_TWITTER", 
		"SHARED_FACEBOOK", "SHARED_MAIL", "STARRED_ARTICLE", "VIEWED_MAP", 
		"VIEWED_ENTITY_VIEW", "CLICKED_ENTITY", "VIEWED_SIMILAR_ARTICLE"};

	// The weights for each user act
	public static final double[] USERACTWEIGHT = {1.0, 1.0, 1.0, 1.0, 1.0, 1.0, 1.0, 1.0, 1.0, 1.0, 1.0, 1.0};

	// HashMap for easy access to the weight constants
	public static final HashMap<String, Double> USERACTMAP = new HashMap<String, Double>();

	public static void init(){
		for(int i = 0; i < USERACT.length; i++){
			USERACTMAP.put(USERACT[i], USERACTWEIGHT[i]);
		}
	}
}