package no.ntnu.newsrec.upmongoreader;

import java.net.UnknownHostException;
import java.util.Set;

import com.mongodb.DB;
import com.mongodb.DBCollection;
import com.mongodb.Mongo;
import com.mongodb.MongoClient;

/**
 * @author johneirik
 *
 * Class designated for the communication with MongoDB
 *
 */
public class MongoReader {

	private final String address = "ec2-54-228-40-9.eu-west-1.compute.amazonaws.com";
	private final int port = 27017;
	private final String dbname = "newsrec";
	
	private Mongo mc;
	private DB db;
	
	public MongoReader() throws RuntimeException {
		try{
			mc = new Mongo(address, port);
		} catch (UnknownHostException ex){
			throw new RuntimeException(ex);
		}
		db = mc.getDB(dbname);
	}

	public DB getDb() {
		return db;
	}
	
	public Set<String> getCollections(){
		return db.getCollectionNames();
	}
	
	public DBCollection getCollection(String collName){
		return db.getCollection(collName);
		
	}
	
	public void close(){
		mc.close();
	}
}
